---
lang: en
title: 'API docs: repository.referencesmanydefinition'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.referencesmanydefinition.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ReferencesManyDefinition](./repository.referencesmanydefinition.md)

## ReferencesManyDefinition interface

**Signature:**

```typescript
export interface ReferencesManyDefinition extends RelationDefinitionBase 
```
**Extends:** [RelationDefinitionBase](./repository.relationdefinitionbase.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [keyFrom?](./repository.referencesmanydefinition.keyfrom.md) |  | string | _(Optional)_ |
|  [keyTo?](./repository.referencesmanydefinition.keyto.md) |  | string | <p>_(Optional)_ keyTo: The foreign key used by the target model for this relation. keyFrom: The source key used by the source model for this relation.</p><p>TODO(bajtos) Add relation description.</p> |
|  [targetsMany](./repository.referencesmanydefinition.targetsmany.md) |  | true |  |
|  [type](./repository.referencesmanydefinition.type.md) |  | [RelationType.referencesMany](./repository.relationtype.md) |  |


